X509Certificate
Date: 2016-06-24

java.security.cert

## Class X509Certificate

- java.lang.Object
- - java.security.cert.Certificate
  - - java.security.cert.X509Certificate

- All Implemented Interfaces:
    Serializable, X509Extension

      public abstract class X509Certificate
      extends Certificate
      implements X509Extension

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.security.cert.Certificate

      `Certificate.CertificateRep`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `X509Certificate()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `checkValidity()`
    `abstract void` | `checkValidity(Date var0)`
    `abstract int` | `getBasicConstraints()`
    `List` | `getExtendedKeyUsage()`
    `Collection` | `getIssuerAlternativeNames()`
    `abstract Principal` | `getIssuerDN()`
    `abstract boolean[]` | `getIssuerUniqueID()`
    `X500Principal` | `getIssuerX500Principal()`
    `abstract boolean[]` | `getKeyUsage()`
    `abstract Date` | `getNotAfter()`
    `abstract Date` | `getNotBefore()`
    `abstract BigInteger` | `getSerialNumber()`
    `abstract String` | `getSigAlgName()`
    `abstract String` | `getSigAlgOID()`
    `abstract byte[]` | `getSigAlgParams()`
    `abstract byte[]` | `getSignature()`
    `Collection` | `getSubjectAlternativeNames()`
    `abstract Principal` | `getSubjectDN()`
    `abstract boolean[]` | `getSubjectUniqueID()`
    `X500Principal` | `getSubjectX500Principal()`
    `abstract byte[]` | `getTBSCertificate()`
    `abstract int` | `getVersion()`

    - ### Methods inherited from class java.security.cert.Certificate

      `getEncoded, getPublicKey, getType, toString, verify, verify, writeReplace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.security.cert.X509Extension

      `getCriticalExtensionOIDs, getExtensionValue, getNonCriticalExtensionOIDs, hasUnsupportedCriticalExtension`

- - ### Constructor Detail

    - #### X509Certificate

          protected X509Certificate()

  - ### Method Detail

    - #### checkValidity

          public abstract void checkValidity()
                                      throws CertificateExpiredException,
                                             CertificateNotYetValidException

      Throws:
        `CertificateExpiredException`
        `CertificateNotYetValidException`

    - #### checkValidity

          public abstract void checkValidity(Date var0)
                                      throws CertificateExpiredException,
                                             CertificateNotYetValidException

      Throws:
        `CertificateExpiredException`
        `CertificateNotYetValidException`

    - #### getBasicConstraints

          public abstract int getBasicConstraints()

    - #### getExtendedKeyUsage

          public List getExtendedKeyUsage()
                                   throws CertificateParsingException

      Throws:
        `CertificateParsingException`

    - #### getIssuerAlternativeNames

          public Collection getIssuerAlternativeNames()
                                               throws CertificateParsingException

      Throws:
        `CertificateParsingException`

    - #### getIssuerDN

          public abstract Principal getIssuerDN()

    - #### getIssuerUniqueID

          public abstract boolean[] getIssuerUniqueID()

    - #### getIssuerX500Principal

          public X500Principal getIssuerX500Principal()

    - #### getKeyUsage

          public abstract boolean[] getKeyUsage()

    - #### getNotAfter

          public abstract Date getNotAfter()

    - #### getNotBefore

          public abstract Date getNotBefore()

    - #### getSerialNumber

          public abstract BigInteger getSerialNumber()

    - #### getSigAlgName

          public abstract String getSigAlgName()

    - #### getSigAlgOID

          public abstract String getSigAlgOID()

    - #### getSigAlgParams

          public abstract byte[] getSigAlgParams()

    - #### getSignature

          public abstract byte[] getSignature()

    - #### getSubjectAlternativeNames

          public Collection getSubjectAlternativeNames()
                                                throws CertificateParsingException

      Throws:
        `CertificateParsingException`

    - #### getSubjectDN

          public abstract Principal getSubjectDN()

    - #### getSubjectUniqueID

          public abstract boolean[] getSubjectUniqueID()

    - #### getSubjectX500Principal

          public X500Principal getSubjectX500Principal()

    - #### getTBSCertificate

          public abstract byte[] getTBSCertificate()
                                            throws CertificateEncodingException

      Throws:
        `CertificateEncodingException`

    - #### getVersion

          public abstract int getVersion()